package com.example.config;

import com.example.services.impl.ServiceImpl;
import org.apache.cxf.Bus;
import org.apache.cxf.bus.spring.SpringBus;
import org.apache.cxf.jaxws.EndpointImpl;
import org.apache.cxf.transport.servlet.CXFServlet;
import org.springframework.boot.web.servlet.ServletRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.xml.ws.Endpoint;

/**
 * Created by wangh on 2021/1/14-11:05。
 */
@Configuration
public class CxfConfig {

    @Bean("cxfServletRegistration")
    public ServletRegistrationBean dispatcherServlet() {
        return new ServletRegistrationBean(new CXFServlet(), "/services/*");
    }

    @Bean(name = Bus.DEFAULT_BUS_ID)
    public SpringBus springBus() {
        return new SpringBus();
    }

    //把实现类交给spring管理，
    @Bean
    public ServiceImpl mPersonService(){
        return new ServiceImpl();
    }

    //终端路径
    @Bean
        public Endpoint endpoint() {
        EndpointImpl endpoint = new EndpointImpl(springBus(), mPersonService());
        endpoint.publish("/cpfinterface");
        return endpoint;
    }
}


